/*
  constants_pathconf.qpp

  Qore Programming Language

  Copyright (C) 2012 - 2014 Qore Technologies, sro

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include <unistd.h>
#include <qore/Qore.h>

#ifndef _PC_LINK_MAX
#define _PC_LINK_MAX -1
#endif

#ifndef _PC_MAX_CANON
#define _PC_MAX_CANON -1
#endif

#ifndef _PC_MAX_INPUT
#define _PC_MAX_INPUT -1
#endif

#ifndef _PC_NAME_MAX
#define _PC_NAME_MAX -1
#endif

#ifndef _PC_PATH_MAX
#define _PC_PATH_MAX -1
#endif

#ifndef _PC_PIPE_BUF
#define _PC_PIPE_BUF -1
#endif

#ifndef _PC_CHOWN_RESTRICTED
#define _PC_CHOWN_RESTRICTED -1
#endif

#ifndef _PC_NO_TRUNC
#define _PC_NO_TRUNC -1
#endif

#ifndef _PC_VDISABLE
#define _PC_VDISABLE -1
#endif

#ifndef _PC_SYNC_IO
#define _PC_SYNC_IO -1
#endif

#ifndef _PC_ASYNC_IO
#define _PC_ASYNC_IO -1
#endif

#ifndef _PC_PRIO_IO
#define _PC_PRIO_IO -1
#endif

#ifndef _PC_SOCK_MAXBUF
#define _PC_SOCK_MAXBUF -1
#endif

#ifndef _PC_FILESIZEBITS
#define _PC_FILESIZEBITS -1
#endif

#ifndef _PC_REC_INCR_XFER_SIZE
#define _PC_REC_INCR_XFER_SIZE -1
#endif

#ifndef _PC_REC_MAX_XFER_SIZE
#define _PC_REC_MAX_XFER_SIZE -1
#endif

#ifndef _PC_REC_MIN_XFER_SIZE
#define _PC_REC_MIN_XFER_SIZE -1
#endif

#ifndef _PC_REC_XFER_ALIGN
#define _PC_REC_XFER_ALIGN -1
#endif

#ifndef _PC_ALLOC_SIZE_MIN
#define _PC_ALLOC_SIZE_MIN -1
#endif

#ifndef _PC_SYMLINK_MAX
#define _PC_SYMLINK_MAX -1
#endif

#ifndef _PC_2_SYMLINKS
#define _PC_2_SYMLINKS -1
#endif

DLLLOCAL void init_pathconf_constants(QoreNamespace& ns) {
# 111 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 116 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 119 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 122 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 125 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 128 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 131 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 134 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 137 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 140 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 143 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 146 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 149 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 152 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 155 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 158 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 161 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 164 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 167 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 170 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
# 173 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_pathconf.qpp"
   ns.addConstant("PC_2_SYMLINKS", new QoreBigIntNode(_PC_2_SYMLINKS));
   ns.addConstant("PC_ALLOC_SIZE_MIN", new QoreBigIntNode(_PC_ALLOC_SIZE_MIN));
   ns.addConstant("PC_ASYNC_IO", new QoreBigIntNode(_PC_ASYNC_IO));
   ns.addConstant("PC_CHOWN_RESTRICTED", new QoreBigIntNode(_PC_CHOWN_RESTRICTED));
   ns.addConstant("PC_FILESIZEBITS", new QoreBigIntNode(_PC_FILESIZEBITS));
   ns.addConstant("PC_LINK_MAX", new QoreBigIntNode(_PC_LINK_MAX));
   ns.addConstant("PC_MAX_CANON", new QoreBigIntNode(_PC_MAX_CANON));
   ns.addConstant("PC_MAX_INPUT", new QoreBigIntNode(_PC_MAX_INPUT));
   ns.addConstant("PC_NAME_MAX", new QoreBigIntNode(_PC_NAME_MAX));
   ns.addConstant("PC_NO_TRUNC", new QoreBigIntNode(_PC_NO_TRUNC));
   ns.addConstant("PC_PATH_MAX", new QoreBigIntNode(_PC_PATH_MAX));
   ns.addConstant("PC_PIPE_BUF", new QoreBigIntNode(_PC_PIPE_BUF));
   ns.addConstant("PC_PRIO_IO", new QoreBigIntNode(_PC_PRIO_IO));
   ns.addConstant("PC_REC_INCR_XFER_SIZE", new QoreBigIntNode(_PC_REC_INCR_XFER_SIZE));
   ns.addConstant("PC_REC_MAX_XFER_SIZE", new QoreBigIntNode(_PC_REC_MAX_XFER_SIZE));
   ns.addConstant("PC_REC_MIN_XFER_SIZE", new QoreBigIntNode(_PC_REC_MIN_XFER_SIZE));
   ns.addConstant("PC_REC_XFER_ALIGN", new QoreBigIntNode(_PC_REC_XFER_ALIGN));
   ns.addConstant("PC_SOCK_MAXBUF", new QoreBigIntNode(_PC_SOCK_MAXBUF));
   ns.addConstant("PC_SYMLINK_MAX", new QoreBigIntNode(_PC_SYMLINK_MAX));
   ns.addConstant("PC_SYNC_IO", new QoreBigIntNode(_PC_SYNC_IO));
   ns.addConstant("PC_VDISABLE", new QoreBigIntNode(_PC_VDISABLE));

}
